I am confused can some clear this up?

Discussion in '3DS - Console, Accessories and Hardware' started by ste, Jan 24, 2013.

  1. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    Right i recently ordered a new r4 card for my 3ds http://www.epidigit.com/ds-flashcard/r4i-sdhc-3ds-for-nds-dsl-dsi-dsi-xl-3ds.html its says that it is compatible with the latest 3ds firmware, i got a email saying my order as been dispatched and it says 4.4.0-10 3DS firmware were released by Nintendo. Please don't upgrade the firmware of your DSi, DSi XL or 3DS from now.. The Firmware upgrade may block the existing Flashcard. So will this card work with 3ds firmware 4.5.0-10 or not?
     
  2. Sychophantom

    Sychophantom I'm a plant.

    Member
    1,191
    344
    Mar 7, 2008
    United States
    Born on the Bayou
    No, it will not work.
     
  3. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    Wow well that was a waste of money, the website is very misleading saying i can use the latest firmware, do you know if there will be a firmware update for the card that allows me to use the latest firmware?
     
  4. sliver123

    sliver123 GBAtemp Advanced Fan

    Member
    700
    32
    Jun 7, 2009
    Netherlands
    Zuid-Holland
  5. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    i dont have the card yet i ordered it yesterday i was confused because the website is saying i can use the latest firmware and the email is saying 4.4.0-10 3DS firmware were released by Nintendo. Please don't upgrade the firmware of your DSi, DSi XL or 3DS from now..
     
  6. sliver123

    sliver123 GBAtemp Advanced Fan

    Member
    700
    32
    Jun 7, 2009
    Netherlands
    Zuid-Holland
    Did ya already payd it for ?
     
  7. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    Yes
     
  8. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,933
    Sep 8, 2009
    One's inner self
    -_-
    it should work as they have released a new card to support 4.5.0-10
    and that is what that site is selling
    the site even says
    - 100% Genuine
    - Compatible with DSi v1.4.5 Firmware
    - Compatible with 3DS 4.5.0-10 Firmware
    - Excellence support service

    the team has yet to reelease the update for there older cards tho

    [​IMG]


    the warning about updating is attached to every email normally as alot of card do not support it but on there page it states it does so its obviously the 4.5 revision they are selling
     
  9. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    Well i hope it does thanks for clearing things up :)
     
  10. pyromaniac123

    pyromaniac123 ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็

    Member
    2,001
    1,671
    Sep 24, 2011
    If you need a r4i-sdhc that works on the latest firmware I know someone that could help ;). Based in the UK to.
     
  11. ste
    OP

    ste Member

    Newcomer
    11
    0
    Jan 19, 2013
    I have already paid for this card now